//============================================================
// Program:		CGFCollisionHandler
// Description:	Collision Detection Class
// Author:		Benjamin Gottemoller
// Website:		http://www.particlefield.com
// Date:		who knows
// Legal:		Licensed under the gnu GPL (see gpl.txt for details)
//============================================================


#include "GameFrameCollisionHandler.h"
#include "GameFrame.h"
#include "GameFrameCamera.h"
#include "GameFrameEntity.h"
#include "GameFrameSolarSystem.h"
#include "GameFrameWeaponSystem.h"

CGFCollisionHandler::CGFCollisionHandler()
{
	GFParent = NULL;
	Camera = NULL;
	SolarSystem = NULL;
	WeaponSystem = NULL;
}

CGFCollisionHandler::~CGFCollisionHandler()
{

}
	
int CGFCollisionHandler::Initialize(GameFrame *gfparent, CGFCamera *camera)
{

	return 1;
}

void CGFCollisionHandler::Destroy(void)
{

}

//int CGFCollisionHandler::AddObject(CGFEntity *obj)
//{
//
//}

void CGFCollisionHandler::SetSolarSystem(CGFSolarSystem *sys)
{

}

void CGFCollisionHandler::SetWeaponSystem(CGFWeaponSystem *sys)
{

}
